# BookGenerationName (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class BookGenerationName

- java.lang.Object
- - de.epiceric.shopchest.language.BookGenerationName

    public class BookGenerationName
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BookGenerationName(CustomBookMeta.Generation generation, String localizedName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CustomBookMeta.Generation` `getGeneration()`
`String` `getLocalizedName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BookGenerationName

    public BookGenerationName(CustomBookMeta.Generation generation,
                              String localizedName)

### Method Detail

#### getGeneration

    public CustomBookMeta.Generation getGeneration()

Returns:
  Generation linked to the name

#### getLocalizedName

    public String getLocalizedName()

Returns:
  Name linked to the book generation